Summary: KDE bindings to non-C++ languages.
Name: kdebindings
Version: 2.2.2
Release: 0.71.1
Source: %{name}-%{version}.tar.bz2
URL: http://www.kde.org/
License: GPL
Group: User Interface/Desktops
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: python < 2.0
BuildRequires: zlib-devel
BuildRequires: kdelibs-devel
BuildRequires: kdelibs-sound-devel
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: mozilla-devel
Requires: kdelibs >= 6:%{version}
Requires: kdebase >= 6:%{version}

%description
KDE/DCOP bindings to non-C++ languages.


%package devel
Summary: Development files for kdebindings.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for the KDE bindings.

Install kdebindings-devel if you want to develop non-KDE applications
that talk to KDE.

%package kmozilla
Summary: KDE bindings to Mozilla.
Group: User Interface/Desktops
Requires: mozilla
Requires: kdebase >= 6:%{version}

%description kmozilla
KDE bindings to Mozilla.


%package perl
Summary: Perl bindings to DCOP.
Group: Development/Libraries
Requires: kdelibs >= 6:%{version}
Requires: perl >= 5.6.0

%description perl
Perl bindings to the DCOP interprocess communication protocol used by
KDE.

%package python
Summary: Python bindings to DCOP.
Group: Development/Libraries
Requires: kdelibs >= 6:%{version}
Requires: python < 2.0

%description python
Python bindings to the DCOP interprocess communication protocol used by KDE.


%prep
%setup -q
make -f Makefile.cvs
unset QTDIR || :
. /etc/profile.d/qt.sh
./configure \
   --prefix=%{prefix} \
   --mandir=%{_mandir} \
   --without-java \
   --with-pythondir=/usr/lib/python1.5/site-packages

%build
unset QTDIR || :
. /etc/profile.d/qt.sh
# UGLY workaround for python bug...
cat >fPIC <<EOF
#!/bin/sh
exec gcc -fPIC \$@
EOF
chmod +x fPIC
export PATH="$PATH:`pwd`"
# end workaround

make %{?smp_mflags}
make %{?smp_mflags} -C dcoppython

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages
make install DESTDIR="$RPM_BUILD_ROOT"
make -C dcoppython install DESTDIR="$RPM_BUILD_ROOT"

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
/usr/lib/libdcopc.so.*
/usr/lib/lib*xparts.so.*
/usr/lib/python1.5/*/*

%files devel
%defattr(-,root,root)
/usr/lib/libdcopc.??
/usr/lib/lib*xparts.??
%dir /usr/include/xkparts
%dir /usr/include/dcopc
/usr/include/xkparts/*
/usr/include/dcopc/*

%files kmozilla
%defattr(-,root,root)
/usr/bin/kmozilla
/usr/lib/*mozilla*
/usr/share/services/kmozilla.desktop

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Wed Mar 12 2003 Than Ngo <than@redhat.com> 2.2.2-0.71.1
- fixed typo bug

* Fri Feb 21 2003 Than Ngo <than@redhat.com> 2.2.2-0.71.0
- errata for RHL 7.1

* Wed Nov 21 2001 Than Ngo <than@redhat.com> 2.2.2-1
- 2.2.2
- build kmozilla binding only on x86/alpha

* Thu Aug  9 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-2
- Make sure %{name}-kmozilla isn't built on ia64

* Mon Jul 23 2001 Bernhard Rosenkraenzer <bero@redhat.com> 2.2-0.cvs20010723.2
- Move python bindings to separate package
- Add perl bindings
- Shut up rpmlint

* Wed Feb 21 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.1

* Sun Jan 28 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
